package brum.mateus.chapter.one;

import java.util.ArrayList;
import java.util.List;

public class Customer {
	private String _name;
	private List<Rental> _rentals = new ArrayList<Rental>();

	public Customer(String name) {
		_name = name;
	};

	public void addRental(Rental arg) {
		_rentals.add(arg);
	}

	public String getName() {
		return _name;
	};

	public String htmlStatement() {
		return new HtmlStatement().value(this);
	}

	public String statement() {
		return new TextStatement().value(this);
	}

	public double getTotalCharge() {
		double result = 0;
		for(Rental each : _rentals){
			result += each._movie.getCharge(each.getDaysRented());
		}
		return result;
	}

	public int getTotalFrequentRenterPoints() {
		int result = 0;
		for(Rental each : _rentals){
			result += each._movie.getFrequentRenterPoints(each.getDaysRented());
		}
		return result;
	}

	public List<Rental> getRentals() {
		return this._rentals;
	}
}