package brum.mateus.chapter.one;

public class HtmlStatement extends Statement {

	@Override
	public String value(Customer customer) {
		return headerString(customer) + 
				eachRentalString(customer) +
				footerString(customer);
	}

	@Override
	public String footerString(Customer customer) {
		String result = "";
		result += "<P>You owe <EM>" + String.valueOf(customer.getTotalCharge())
				+ "</EM><P>\n";
		result += "On this rental you earned <EM>"
				+ String.valueOf(customer.getTotalFrequentRenterPoints())
				+ "</EM> frequent renter points<P>";
		return result;
	}

	@Override
	public String eachRentalString(Customer customer) {
		String result = "";
		for (Rental each : customer.getRentals()) {
			result += each.getMovie().getTitle()
					+ ": "
					+ String.valueOf(each._movie.getCharge(each.getDaysRented()))
					+ "<BR>\n";

		}
		return result;
	}

	@Override
	public String headerString(Customer customer) {
		String result = "<H1>Rentals for <EM>" + customer.getName()
				+ "</EM></H1><P>\n";
		return result;
	}
}
