package brum.mateus.chapter.one;

public class TextStatement extends Statement {

	@Override
	public String value(Customer customer) {
		return headerString(customer) + 
				eachRentalString(customer) +
				footerString(customer);
	}
	@Override
	public String footerString(Customer customer) {
		String result = "";
		result += "Amount owed is " + String.valueOf(customer.getTotalCharge())
				+ "\n";
		result += "You earned "
				+ String.valueOf(customer.getTotalFrequentRenterPoints())
				+ " frequent renter points";
		return result;
	}

	@Override
	public String eachRentalString(Customer customer) {
		String result = "";
		for (Rental each : customer.getRentals()) {
			result += "\t"
					+ each.getMovie().getTitle()
					+ "\t"
					+ String.valueOf(each._movie.getCharge(each.getDaysRented()))
					+ "\n";
		}
		return result;
	}

	@Override
	public String headerString(Customer customer) {
		String result = "Rental Record for " + customer.getName() + "\n";
		return result;
	}
}
